#include "debug.hpp"
#include "connection.hpp"

#include <thread>

/**
 * @file handle.hpp This file contains the helper class for handling knx access.
 */

namespace knx {

/**
 * @brief Thread management for connection handling.
 *
 * This class handles all required background threads for asynchronous knx connection handling.
 */
class KNX_IMPORT_EXPORT handle
{
public:
    //! @brief Creates new background thread.
    handle(knx::connection & connection);
    //! @brief Stops and joins the thread.
    ~handle();
private:
    //! Access to the connections.
    knx::connection & connection;
    //! The main background thread.
    std::thread background;
};

}
