#include "knx.hpp"
#include "debug.hpp"

#include <thread>
#include <chrono>

void my_callback ( knx::dpt_switch::set_type & data )
{
    std::cout << "listened to " << data << std::endl;
}

int main ( int argc, char ** argv )
{
    // create configuration from command line parameters
    knx::config config ( argc, argv );

    // create the connection with the given config
    knx::connection connection ( config );

    // create handling threads for background processing
    knx::handle handle ( connection );

    // sleep some time to let all previous information settle
    std::this_thread::sleep_for(std::chrono::seconds(2));

    // create required variables
    std::string group ( "0/0/1" );

    // start listener
    connection.listen<knx::dpt_switch> ( group, my_callback );

    // wait some time for events on the given group address
    std::this_thread::sleep_for(std::chrono::seconds(20));

    return 0;
}
