#include "knx.hpp"
#include "debug.hpp"
#include "dpt.hpp"

#include <thread>
#include <chrono>

int main ( int argc, char ** argv )
{
    // create configuration from command line parameters
    knx::config config ( argc, argv );

    // create the connection with the given config
    knx::connection connection ( config );

    // create handling threads for background processing
    knx::handle handle ( connection );

    // sleep some time to let all previous information settle
    std::this_thread::sleep_for(std::chrono::seconds(2));

    // dpt 1.001 on
    connection.set<knx::dpt_1_001> ( knx::group("2/1/14"), knx::dpt_1_001::ON );

    // wait a bit before exit
    std::this_thread::sleep_for(std::chrono::seconds(1));

    // dpt 1.001 off
    connection.set<knx::dpt_1_001> ( knx::group("2/1/14"), knx::dpt_1_001::OFF );
    
    return 0;
}
